diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/static/js/collation.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/static/js/collation.js
index 0d75eee6..9015d8d2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/static/js/collation.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/static/js/collation.js
@@ -1,18 +1,18 @@
 define('pgadmin.node.collation', [
   'sources/gettext', 'sources/url_for', 'jquery', 'underscore',
-  'underscore.string', 'sources/pgadmin', 'pgadmin.browser', 'alertify',
-  'pgadmin.browser.collection'
-], function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, alertify) {
+  'underscore.string', 'sources/pgadmin', 'pgadmin.browser',
+  'pgadmin.browser.collection',
+], function(gettext, url_for, $, _, S, pgAdmin, pgBrowser) {
 
   if (!pgBrowser.Nodes['coll-collation']) {
-    var databases = pgAdmin.Browser.Nodes['coll-collation'] =
+    pgAdmin.Browser.Nodes['coll-collation'] =
       pgAdmin.Browser.Collection.extend({
         node: 'collation',
         label: gettext('Collations'),
         type: 'coll-collation',
-        columns: ['name', 'owner', 'description']
+        columns: ['name', 'owner', 'description'],
       });
-  };
+  }
 
   if (!pgBrowser.Nodes['collation']) {
     pgAdmin.Browser.Nodes['collation'] = pgBrowser.Node.extend({
@@ -37,20 +37,20 @@ define('pgadmin.node.collation', [
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 4, label: gettext('Collation...'),
           icon: 'wcTabIcon icon-collation', data: {action: 'create', check: true},
-          enable: 'canCreate'
+          enable: 'canCreate',
         },{
           name: 'create_collation', node: 'collation', module: this,
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 4, label: gettext('Collation...'),
           icon: 'wcTabIcon icon-collation', data: {action: 'create', check: true},
-          enable: 'canCreate'
+          enable: 'canCreate',
         },{
           name: 'create_collation', node: 'schema', module: this,
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 4, label: gettext('Collation...'),
           icon: 'wcTabIcon icon-collation', data: {action: 'create', check: false},
-          enable: 'canCreate'
-        }
+          enable: 'canCreate',
+        },
         ]);
 
       },
@@ -63,7 +63,7 @@ define('pgadmin.node.collation', [
           owner: undefined,
           lc_type: undefined,
           lc_collate: undefined,
-          description: undefined
+          description: undefined,
         },
 
         // Default values!
@@ -83,15 +83,15 @@ define('pgadmin.node.collation', [
         schema: [{
           id: 'name', label: gettext('Name'), cell: 'string',
           type: 'text', mode: ['properties', 'create', 'edit'],
-          disabled: 'inSchema'
+          disabled: 'inSchema',
         },{
           id: 'oid', label: gettext('OID'), cell: 'string',
-          type: 'text' , mode: ['properties']
+          type: 'text' , mode: ['properties'],
         },{
           id: 'owner', label: gettext('Owner'), cell: 'string',
           type: 'text', mode: ['properties', 'create', 'edit'],
           disabled: 'inSchema', control: 'node-list-by-name',
-          node: 'role'
+          node: 'role',
         },{
           id: 'schema', label: gettext('Schema'), cell: 'string',
           type: 'text', mode: ['create', 'edit'], node: 'schema',
@@ -103,43 +103,42 @@ define('pgadmin.node.collation', [
             }
             return true;
           }, control: 'node-list-by-name',
-          cache_node: 'database', cached_level: 'database'
+          cache_node: 'database', cached_level: 'database',
         },{
           id: 'copy_collation', label: gettext('Copy collation'), cell: 'string',
           control: 'node-ajax-options',
           type: 'text', mode: ['create', 'edit'], group: gettext('Definition'),
           url: 'get_collations', disabled: 'inSchemaWithModelCheck',
-          deps: ['locale', 'lc_collate', 'lc_type']
+          deps: ['locale', 'lc_collate', 'lc_type'],
         },{
           id: 'locale', label: gettext('Locale'), cell: 'string',
           type: 'text', mode: ['create', 'edit'], group: gettext('Definition'),
           disabled: 'inSchemaWithModelCheck',
-          deps: ['lc_collate', 'lc_type', 'copy_collation']
+          deps: ['lc_collate', 'lc_type', 'copy_collation'],
         },{
           id: 'lc_collate', label: gettext('LC_COLLATE'), cell: 'string',
           type: 'text', mode: ['properties', 'create', 'edit'], group: gettext('Definition'),
-          deps: ['locale', 'copy_collation'], disabled: 'inSchemaWithModelCheck'
+          deps: ['locale', 'copy_collation'], disabled: 'inSchemaWithModelCheck',
         },{
           id: 'lc_type', label: gettext('LC_TYPE'), cell: 'string',
           type: 'text', mode: ['properties', 'create', 'edit'], group: gettext('Definition'),
           disabled: 'inSchemaWithModelCheck',
-          deps: ['locale', 'copy_collation']
+          deps: ['locale', 'copy_collation'],
         },{
           id: 'description', label: gettext('Comment'), cell: 'string',
           type: 'multiline', mode: ['properties', 'create', 'edit'],
-          disabled: 'inSchema'
-        }
+          disabled: 'inSchema',
+        },
         ],
         validate: function() {
           var err = {},
-          msg = undefined,
-          changedAttrs = this.changed,
-          locale_flag = false,
-          lc_type_flag = false,
-          lc_coll_flag = false,
-          copy_coll_flag = false,
-          msg = undefined,
-          data = this.toJSON();
+            msg = undefined,
+            changedAttrs = this.changed,
+            locale_flag = false,
+            lc_type_flag = false,
+            lc_coll_flag = false,
+            copy_coll_flag = false,
+            data = this.toJSON();
 
           this.errorModel.clear();
 
@@ -166,7 +165,7 @@ define('pgadmin.node.collation', [
           }
           if (locale_flag && (lc_coll_flag || lc_type_flag) && copy_coll_flag) {
             msg = gettext('Definition incomplete. Please provide Locale OR Copy Collation OR LC_TYPE/LC_COLLATE.');
-            err['locale'] = msg
+            err['locale'] = msg;
           }
           return null;
         },
@@ -183,12 +182,12 @@ define('pgadmin.node.collation', [
           if(this.node_info &&  'schema' in this.node_info)
           {
             // Enable copy_collation only if locale & lc_* is not provided
-            if (m.isNew() && this.name == "copy_collation")
+            if (m.isNew() && this.name == 'copy_collation')
             {
               if(m.get('locale'))
                 return true;
               if(m.get('lc_collate') || m.get('lc_type'))
-                return true
+                return true;
               return false;
             }
 
@@ -198,7 +197,7 @@ define('pgadmin.node.collation', [
               if(m.get('locale'))
                 return true;
               if(m.get('copy_collation'))
-                return true
+                return true;
               return false;
             }
 
@@ -208,7 +207,7 @@ define('pgadmin.node.collation', [
               if(m.get('lc_collate') || m.get('lc_type'))
                 return true;
               if(m.get('copy_collation'))
-                return true
+                return true;
               return false;
             }
 
@@ -221,37 +220,37 @@ define('pgadmin.node.collation', [
 
           }
           return true;
-        }
+        },
       }),
       canCreate: function(itemData, item, data) {
           //If check is false then , we will allow create menu
-          if (data && data.check == false)
-            return true;
+        if (data && data.check == false)
+          return true;
 
-          var t = pgBrowser.tree, i = item, d = itemData;
+        var t = pgBrowser.tree, i = item, d = itemData;
           // To iterate over tree to check parent node
-          while (i) {
+        while (i) {
             // If it is schema then allow user to create collation
-            if (_.indexOf(['schema'], d._type) > -1)
-              return true;
+          if (_.indexOf(['schema'], d._type) > -1)
+            return true;
 
-            if ('coll-collation' == d._type) {
+          if ('coll-collation' == d._type) {
               //Check if we are not child of catalog
-              var prev_i = t.hasParent(i) ? t.parent(i) : null,
-                prev_d = prev_i ? t.itemData(prev_i) : null;
-              if( prev_d._type == 'catalog') {
-                return false;
-              } else {
-                return true;
-              }
+            var prev_i = t.hasParent(i) ? t.parent(i) : null,
+              prev_d = prev_i ? t.itemData(prev_i) : null;
+            if( prev_d._type == 'catalog') {
+              return false;
+            } else {
+              return true;
             }
-            i = t.hasParent(i) ? t.parent(i) : null;
-            d = i ? t.itemData(i) : null;
           }
+          i = t.hasParent(i) ? t.parent(i) : null;
+          d = i ? t.itemData(i) : null;
+        }
           // by default we do not want to allow create menu
-          return true;
-      }
-  });
+        return true;
+      },
+    });
 
   }
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/static/js/domain_constraints.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/static/js/domain_constraints.js
index 932b7bc2..9b3bba1f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/static/js/domain_constraints.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/static/js/domain_constraints.js
@@ -1,20 +1,20 @@
 // Domain Constraint Module: Collection and Node
 define('pgadmin.node.domain_constraints', [
   'sources/gettext', 'sources/url_for', 'jquery', 'underscore',
-  'underscore.string', 'sources/pgadmin', 'pgadmin.browser', 'alertify',
-  'pgadmin.browser.collection'
-], function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, alertify) {
+  'underscore.string', 'sources/pgadmin', 'pgadmin.browser',
+  'pgadmin.browser.collection',
+], function(gettext, url_for, $, _, S, pgAdmin, pgBrowser) {
 
   // Define Domain Constraint Collection Node
   if (!pgBrowser.Nodes['coll-domain_constraints']) {
-    var domain_constraints = pgAdmin.Browser.Nodes['coll-domain_constraints'] =
+    pgAdmin.Browser.Nodes['coll-domain_constraints'] =
       pgAdmin.Browser.Collection.extend({
         node: 'domain_constraints',
         label: gettext('Domain Constraints'),
         type: 'coll-domain_constraints',
-        columns: ['name', 'description']
+        columns: ['name', 'description'],
       });
-  };
+  }
 
   // Domain Constraint Node
   if (!pgBrowser.Nodes['domain_constraints']) {
@@ -31,7 +31,7 @@ define('pgadmin.node.domain_constraints', [
       Init: function() {
         // Avoid mulitple registration of menus
         if (this.initialized)
-            return;
+          return;
 
         this.initialized = true;
 
@@ -40,20 +40,20 @@ define('pgadmin.node.domain_constraints', [
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 5, label: gettext('Domain Constraint...'),
           icon: 'wcTabIcon icon-domain_constraints', data: {action: 'create', check: true},
-          enable: 'canCreate'
+          enable: 'canCreate',
         },{
           name: 'create_domain_constraints', node: 'domain_constraints', module: this,
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 5, label: gettext('Domain Constraint...'),
           icon: 'wcTabIcon icon-domain_constraints', data: {action: 'create', check: true},
-          enable: 'canCreate'
+          enable: 'canCreate',
         },{
           name: 'create_domain_constraints', node: 'domain', module: this,
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 5, label: gettext('Domain Constraint...'),
           icon: 'wcTabIcon icon-domain_constraints', data: {action: 'create', check: false},
-          enable: 'canCreate'
-        }
+          enable: 'canCreate',
+        },
         ]);
 
       },
@@ -65,48 +65,48 @@ define('pgadmin.node.domain_constraints', [
           description: undefined,
           consrc: undefined,
           connoinherit: undefined,
-          convalidated: true
+          convalidated: true,
         },
         // Domain Constraint Schema
         schema: [{
           id: 'name', label: gettext('Name'), type:'text', cell:'string',
-          disabled: 'isDisabled'
+          disabled: 'isDisabled',
         },{
           id: 'oid', label: gettext('OID'), cell: 'string',
-          type: 'text' , mode: ['properties']
+          type: 'text' , mode: ['properties'],
         },{
           id: 'description', label: gettext('Comment'), type: 'multiline', cell:
           'string', mode: ['properties', 'create', 'edit'], min_version: 90500,
         },{
           id: 'consrc', label: gettext('Check'), type: 'multiline', cel:
           'string', group: gettext('Definition'), mode: ['properties',
-          'create', 'edit'], disabled: function(m) { return !m.isNew(); }
+            'create', 'edit'], disabled: function(m) { return !m.isNew(); },
         },{
           id: 'connoinherit', label: gettext('No inherit'), type:
           'switch', cell: 'boolean', group: gettext('Definition'), mode:
           ['properties', 'create', 'edit'], disabled: 'isDisabled',
-          visible: false
+          visible: false,
         },{
-          id: 'convalidated', label: gettext("Validate?"), type: 'switch', cell:
+          id: 'convalidated', label: gettext('Validate?'), type: 'switch', cell:
           'boolean', group: gettext('Definition'), min_version: 90200,
           disabled: function(m) {
-          if (!m.isNew()) {
-            var server = this.node_info.server;
-            if (server.version < 90200) { return true;
-            }
-            else if(m.get('convalidated')) {
+            if (!m.isNew()) {
+              var server = this.node_info.server;
+              if (server.version < 90200) { return true;
+              }
+              else if(m.get('convalidated')) {
                 return true;
+              }
+              return false;
             }
             return false;
-          }
-          return false;
           },
-          mode: ['properties', 'create', 'edit']
+          mode: ['properties', 'create', 'edit'],
         }],
         // Client Side Validation
         validate: function() {
           var err = {},
-              errmsg;
+            errmsg;
 
           if (_.isUndefined(this.get('name')) || String(this.get('name')).replace(/^\s+|\s+$/g, '') == '') {
             err['name'] = gettext('Name cannot be empty.');
@@ -137,7 +137,7 @@ define('pgadmin.node.domain_constraints', [
             }
           }
           return false;
-        }
+        },
       }),
     });
   }
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/static/js/domain.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/static/js/domain.js
index ebdef6b1..403ca471 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/static/js/domain.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/static/js/domain.js
@@ -1,26 +1,29 @@
 // Domain Module: Collection and Node.
 define('pgadmin.node.domain', [
-  'sources/gettext', 'sources/url_for', 'jquery', 'underscore', 'underscore.string', 'sources/pgadmin',
-  'pgadmin.browser', 'alertify', 'pgadmin.browser.collection'
-], function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, alertify) {
+  'sources/gettext', 'sources/url_for', 'jquery', 'underscore', 'backbone',
+  'sources/pgadmin', 'pgadmin.browser', 'pgadmin.backform', 'pgadmin.backgrid',
+  'pgadmin.browser.collection',
+], function(
+  gettext, url_for, $, _, Backbone, pgAdmin, pgBrowser, Backform, Backgrid
+) {
 
   // Define Domain Collection Node
   if (!pgBrowser.Nodes['coll-domain']) {
-    var domains = pgBrowser.Nodes['coll-domain'] =
+    pgBrowser.Nodes['coll-domain'] =
       pgBrowser.Collection.extend({
         node: 'domain',
         label: gettext('Domains'),
         type: 'coll-domain',
-        columns: ['name', 'owner', 'description']
+        columns: ['name', 'owner', 'description'],
       });
-  };
+  }
 
   // Constraint Model
   var ConstraintModel = pgBrowser.Node.Model.extend({
     idAttribute: 'conoid',
-    initialize: function(attrs, args) {
+    initialize: function(attrs) {
       if (!_.size(attrs) === 0) {
-        this.convalidated_default = this.get('convalidated')
+        this.convalidated_default = this.get('convalidated');
       }
       pgBrowser.Node.Model.prototype.initialize.apply(this, arguments);
     },
@@ -28,11 +31,11 @@ define('pgadmin.node.domain', [
       conoid: undefined,
       conname: undefined,
       consrc: undefined,
-      convalidated: true
+      convalidated: true,
     },
     convalidated_default: true,
     schema: [{
-      id: 'conoid', type: 'text', cell: 'string', visible: false
+      id: 'conoid', type: 'text', cell: 'string', visible: false,
     },{
       id: 'conname', label: gettext('Name'), type: 'text', cell: 'string',
       cellHeaderClasses: 'width_percent_40',
@@ -44,13 +47,13 @@ define('pgadmin.node.domain', [
           }
         }
         return true;
-      }
+      },
     },{
       id: 'consrc', label: gettext('Check'), type: 'multiline',
       cell: Backgrid.Extension.TextareaCell, group: gettext('Definition'),
       cellHeaderClasses: 'width_percent_60', editable: function(m) {
         return _.isUndefined(m.isNew) ? true : m.isNew();
-      }
+      },
     },{
       id: 'convalidated', label: gettext('Validate?'), type: 'switch', cell:
       'boolean', group: gettext('Definition'),
@@ -66,12 +69,12 @@ define('pgadmin.node.domain', [
           return true;
         }
         return true;
-      }
+      },
     }],
     toJSON: Backbone.Model.prototype.toJSON,
     validate: function() {
       return null;
-    }
+    },
   });
 
   // Domain Node
@@ -89,7 +92,7 @@ define('pgadmin.node.domain', [
       Init: function() {
         // Avoid mulitple registration of menus
         if (this.initialized)
-            return;
+          return;
 
         this.initialized = true;
 
@@ -98,20 +101,20 @@ define('pgadmin.node.domain', [
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 4, label: gettext('Domain...'),
           icon: 'wcTabIcon icon-domain', data: {action: 'create', check: true},
-          enable: 'canCreate'
+          enable: 'canCreate',
         },{
           name: 'create_domain', node: 'domain', module: this,
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 4, label: gettext('Domain...'),
           icon: 'wcTabIcon icon-domain', data: {action: 'create', check: true},
-          enable: 'canCreate'
+          enable: 'canCreate',
         },{
           name: 'create_domain', node: 'schema', module: this,
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 4, label: gettext('Domain...'),
           icon: 'wcTabIcon icon-domain', data: {action: 'create', check: false},
-          enable: 'canCreate'
-        }
+          enable: 'canCreate',
+        },
         ]);
 
       },
@@ -123,7 +126,7 @@ define('pgadmin.node.domain', [
           var isNew = (_.size(attrs) === 0);
           if (isNew) {
             // Set Selected Schema
-            var schema = args.node_info.schema.label
+            var schema = args.node_info.schema.label;
             this.set({'basensp': schema}, {silent: true});
 
             // Set Current User
@@ -146,34 +149,34 @@ define('pgadmin.node.domain', [
           sysdomain: undefined,
           collname: undefined,
           constraints: [],
-          seclabels: []
+          seclabels: [],
         },
         type_options: undefined,
         // Domain Schema
         schema: [{
           id: 'name', label: gettext('Name'), cell: 'string',
-          type: 'text', mode: ['properties', 'create', 'edit']
+          type: 'text', mode: ['properties', 'create', 'edit'],
         },{
           id: 'oid', label: gettext('OID'), cell: 'string',
-          type: 'text' , mode: ['properties']
+          type: 'text' , mode: ['properties'],
         },{
           id: 'owner', label: gettext('Owner'), cell: 'string', control: Backform.NodeListByNameControl,
-          node: 'role',  type: 'text', mode: ['edit', 'create', 'properties']
+          node: 'role',  type: 'text', mode: ['edit', 'create', 'properties'],
         },{
           id: 'basensp', label: gettext('Schema'), cell: 'node-list-by-name',
-           control: 'node-list-by-name', cache_level: 'database', type: 'text',
-           node: 'schema', mode: ['create', 'edit']
+          control: 'node-list-by-name', cache_level: 'database', type: 'text',
+          node: 'schema', mode: ['create', 'edit'],
         },{
           id: 'sysdomain', label: gettext('System domain?'), cell: 'boolean',
           type: 'switch', mode: ['properties'],
           options: {
             'onText': gettext('Yes'), 'offText': gettext('No'),
             'onColor': 'success', 'offColor': 'primary',
-            'size': 'small'
-          }
+            'size': 'small',
+          },
         },{
           id: 'description', label: gettext('Comment'), cell: 'string',
-          type: 'multiline'
+          type: 'multiline',
         },{
           id: 'basetype', label: gettext('Base type'), cell: 'string',
           control: 'node-ajax-options', type: 'text', url: 'get_types',
@@ -185,7 +188,7 @@ define('pgadmin.node.domain', [
           transform: function(d) {
             this.model.type_options =  d;
             return d;
-          }
+          },
         },{
           id: 'typlen', label: gettext('Length'), cell: 'string',
           type: 'text', group: gettext('Definition'), deps: ['basetype'],
@@ -201,18 +204,18 @@ define('pgadmin.node.domain', [
                 // if type from selected from combobox matches in options
                 if ( of_type == o.value ) {
                     // if length is allowed for selected type
-                    if(o.length)
+                  if(o.length)
                     {
                       // set the values in model
-                      m.set('is_tlength', true, {silent: true});
-                      m.set('min_val', o.min_val, {silent: true});
-                      m.set('max_val', o.max_val, {silent: true});
-                    }
+                    m.set('is_tlength', true, {silent: true});
+                    m.set('min_val', o.min_val, {silent: true});
+                    m.set('max_val', o.max_val, {silent: true});
+                  }
                 }
               });
             }
             return !m.get('is_tlength');
-          }
+          },
         },{
           id: 'precision', label: gettext('Precision'), cell: 'string',
           type: 'text', group: gettext('Definition'), deps: ['basetype'],
@@ -228,56 +231,55 @@ define('pgadmin.node.domain', [
                 // if type from selected from combobox matches in options
                 if ( of_type == o.value ) {
                     // if precession is allowed for selected type
-                    if(o.precision)
+                  if(o.precision)
                     {
                       // set the values in model
-                      m.set('is_precision', true, {silent: true});
-                      m.set('min_val', o.min_val, {silent: true});
-                      m.set('max_val', o.max_val, {silent: true});
-                    }
+                    m.set('is_precision', true, {silent: true});
+                    m.set('min_val', o.min_val, {silent: true});
+                    m.set('max_val', o.max_val, {silent: true});
+                  }
                 }
               });
             }
             return !m.get('is_precision');
-          }
+          },
         },{
           id: 'typdefault', label: gettext('Default'), cell: 'string',
           type: 'text', group: gettext('Definition'),
-          placeholder: "Enter an expression or a value."
+          placeholder: 'Enter an expression or a value.',
         },{
           id: 'typnotnull', label: gettext('Not Null?'), cell: 'boolean',
           type: 'switch', group: gettext('Definition'),
           options: {
             'onText': gettext('Yes'), 'offText': gettext('No'),
             'onColor': 'success', 'offColor': 'primary',
-            'size': 'small'
-          }
+            'size': 'small',
+          },
         },{
           id: 'collname', label: gettext('Collation'), cell: 'string',
           control: 'node-ajax-options', type: 'text', url: 'get_collations',
           group: gettext('Definition'), cache_level: 'database',
           cache_node: 'schema', disabled: function(m) {
             return !m.isNew();
-          }
+          },
         },{
           id: 'constraints', label: gettext('Constraints'), cell: 'string',
           type: 'collection', group: gettext('Constraints'), mode: ['edit', 'create'],
           model: ConstraintModel, canAdd: true, canDelete: true,
-          canEdit: false, columns: ['conname','consrc', 'convalidated']
+          canEdit: false, columns: ['conname','consrc', 'convalidated'],
         },
-        pgBrowser.SecurityGroupSchema,
+          pgBrowser.SecurityGroupSchema,
         {
           id: 'seclabels', label: gettext('Security Labels'),
           model: pgBrowser.SecLabelModel, type: 'collection',
           group: 'security', mode: ['edit', 'create'],
           min_version: 90100, canAdd: true,
           canEdit: false, canDelete: true,
-          control: 'unique-col-collection', uniqueCol : ['provider']
+          control: 'unique-col-collection', uniqueCol : ['provider'],
         }],
         validate: function() { // Client Side Validation
           var err = {},
-              errmsg,
-              seclabels = this.get('seclabels');
+            errmsg;
 
           if (_.isUndefined(this.get('name')) || String(this.get('name')).replace(/^\s+|\s+$/g, '') == '') {
             err['name'] = gettext('Name cannot be empty.');
@@ -291,8 +293,8 @@ define('pgadmin.node.domain', [
 
           this.errorModel.clear().set(err);
 
-          return null;
-        }
+          return errmsg;
+        },
       }),
       canCreate: function(itemData, item, data) {
         //If check is false then , we will allow create menu
@@ -323,16 +325,16 @@ define('pgadmin.node.domain', [
         return true;
       },
       isDisabled: function(m){
-          if (!m.isNew()) {
-            var server = this.node_info.server;
-            if (server.version < 90200)
+        if (!m.isNew()) {
+          var server = this.node_info.server;
+          if (server.version < 90200)
             {
-              return false;
-            }
+            return false;
           }
-          return true;
         }
-  });
+        return true;
+      },
+    });
 
   }
 
